Name:           WoeUSB
Version:        3.3.1
Release:        %mkrel 1

Summary:        Windows USB installation media creator
License:        GPLv3+
URL:            https://github.com/slacka/WoeUSB
Source0:        https://github.com/slacka/%{name}/archive/v%{version}/%{name}-%{version}.tar.xz
Group: File tools
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:	lib64wxgtku3.0-devel
Requires: parted
Requires: dosfstools
Requires: gettext
Requires: grub2
Requires: ntfs-config
Requires: p7zip
Requires: policykit
Requires: coreutils
Requires: wxgtk3.0

%description
A utility that enables you to create your own bootable Windows installation
USB storage device from an existing Windows Installation dvd or iso image.


%prep
%setup -q

%build
find . -type f -print0 | xargs -0 sed -i "s/@@WOEUSB_VERSION@@/%{version}/"
autoreconf -fiv
%configure2_5x
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std 
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
mv %{buildroot}%{_datadir}/pixmaps/woeusbgui-icon.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
desktop-file-install --vendor="" \
   --remove-category="System;" \
   --add-category="X-MandrivaLinux-MoreApplications-Other;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/woeusbgui.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_menus


%postun
%clean_menus

%files 
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README.*
%{_bindir}/woeusb
%{_mandir}/man1/*
%{_bindir}/woeusbgui
%{_datadir}/applications/woeusbgui.desktop
%{_datadir}/icons/hicolor/48x48/apps/woeusbgui-icon.png
%dir %{_datadir}/woeusb
%dir %{_datadir}/woeusb/data
%{_datadir}/woeusb/data/c501-logo.png
%{_datadir}/woeusb/data/icon.png
%{_datadir}/woeusb/data/listDvdDrive
%{_datadir}/woeusb/data/listUsb
%{_datadir}/woeusb/data/woeusb-logo.png
%dir %{_datadir}/woeusb/locale
%dir %{_datadir}/woeusb/locale/fr
%dir %{_datadir}/woeusb/locale/fr/LC_MESSAGES
%dir %{_datadir}/woeusb/locale/zh_TW
%dir %{_datadir}/woeusb/locale/zh_TW/LC_MESSAGES
%lang(fr) %{_datadir}/woeusb/locale/fr/LC_MESSAGES/woeusb.mo
%lang(fr) %{_datadir}/woeusb/locale/fr/LC_MESSAGES/wxstd.mo
%lang(zh) %{_datadir}/woeusb/locale/zh_TW/LC_MESSAGES/woeusb.mo


%changelog
* Tue May 19 2020 tex - 3.3.1-1pclos2020
- new version

* Sun Oct 06 2019 tex - 3.3.0-2pclos2019
- rebuild against updates

* Sun Jul 07 2019 tex - 3.3.0-1pclos2019
- new version

* Sat Oct 27 2018 Ken <lxgator at gmail.com> 3.2.10-1pclos2018
- 3.2.10

* Wed Apr 11 2018 Ken <lxgator at gmail.com> 3.1.5-1pclos2018
- Create pkg
